{
   "BatchName": "{{ hostname }}-{{ item[1].rf_scenario }}-{{ item[1].total_nodes }}-{{ item[1].team_nodes }}-{{ item[1].team_start }}",
   "Duration": {{ item[1].duration }},
   "RFScenario": {{ item[1].rf_scenario }},
{% if 'traffic_scenario' in item %}
   "TrafficScenario": {{ item[1].traffic_scenario }},
{% else %}
   "TrafficScenario": {{ item[1].rf_scenario * 10 }},
{% endif %}

   "NodeData": [
{% for node_id in range(item[1].total_nodes) %}
     {
       "RFNode_ID"       : {{ node_id + 1}},
       "ImageName"       : "{{ hostname }}",
       "ModemConfig"     : "{{ conf_pre }}_{{ run_idx.stdout }}_team{{ node_id//item[1].team_nodes + item[1].team_start}}_{{ node_id % item[1].team_nodes + 1 }}.conf",
{% if  node_id % item[1].team_nodes == 0: %}
       "isGateway"       : true,
{% else %}
       "isGateway"       : false,
{% endif %}
       "TrafficNode_ID"  : {{ node_id +1 }},
       "node_type"       : "competitor"
     }{% if node_id!=(item[1].total_nodes-1) %},
{% endif %}
{% endfor %}
  ]
}
